/*
 * Startet einen Request.
 * @param url url-String fr Anfrage
 * @param func Funktion die nach Statusnderungen aufgerufen wird
 */
function request(url, func)
{
	var httpReq = false;

	// Mozilla/Safari u. IE7 ...
	if (window.XMLHttpRequest)
	{
		httpReq = new XMLHttpRequest();
		if (httpReq.overrideMimeType)	// Fr Kompatibilitt mit lteren FF-Versionen
			httpReq.overrideMimeType("text/xml");
	}
	// IE6 und lter
	else if (window.ActiveXObject)
	{
		httpReq = new ActiveXObject("Microsoft.XMLHTTP");
	}

    if (!httpReq)
	    return false;

	if (func)
	{
    	httpReq.onreadystatechange = function() { func(httpReq); };
    }
    else
    {
    	httpReq.onreadystatechange = null;
    }
    httpReq.open("GET", url, true);
	httpReq.send(null);
}