// Globale Variablen
var googleReferrer = false;

// Prfen ob referrer von Google
if (document.referrer && document.referrer.length)
{
        var regEx = /http:\/\/[^\.]*\.google\./i;
        var q = regEx.exec(document.referrer);
        // Wenn von Google
        if (q)
        {
                // Prfen ob mit Suchanfrage
                if(getQuery(document.referrer))
                        googleReferrer = true;
        }
}


/*
 * Diese Funktion initialisiert den gesamte Request.
 * @param func Pointer auf Funktion, welche sich um die Rckgabe des Requests kmmert.
 * @param urlRef Die URL mit dem Such-String -> (Wird nicht mehr verwendet!)
 */
function createSeekportBox(func, urlRef)
{
        if (googleReferrer)
                request("/_misc/seekportbox/seekportboxHTML.cfm?q=" + getQuery(document.referrer), func);
}

/*
 * Gibt Such-Query von Google zurck.
 * @param url Die URL von Google aus der der Suchbegriff extrahiert werden soll
 */
function getQuery(url)
{
        // Such-Query
        var query = "";

        // Inhalt des Parameters "q" holen
        var regEx = /[\?&](?:as_)?q=([^&]*)/i;
        // In q[1] wird der Inhalt des Parameters gespeichert
        var q = regEx.exec(url);
        if (q)
                query = q[1];

        return query;
}
